Author Topic: nvidia-settings is stuck on old version  (Read 888 times)

lmwashere

  • Veteran
  • ***
  • Posts: 79
    • View Profile
nvidia-settings is stuck on old version
« on: June 17, 2010, 04:44:41 pm »
I just did a reinstall from 6-11 snapshot. The issue is this, I seem to be stuck with the 177 version of nvidia-settings. According to the hardware drivers screen, I have the 195 drivers installed, but I am not too confident in that either as when I try to set up a md, it appears to try and use the old nvidia drivers as well.

I tried using synaptic to uninstall, then reinstall nvidia-settings, but it still sticks me with the same version. I need to get the new version so I can fiddle with the overscan and make my desktop viewable on my sdtv.

would something like removing nvidia everything and downloading the 195 version from nvidia's website work? Is this asking for trouble as far as LMCE stability is concerned?

Any thoughts?


l3mce

  • NEEDS to work for LinuxMCE
  • ***
  • Posts: 1081
    • View Profile
Re: nvidia-settings is stuck on old version
« Reply #1 on: June 19, 2010, 06:49:18 pm »
I attempted to MDize an HP laptop (dv6000) for the first time this week, with a geforce go 7300. On initial create it dlds and attempts to install 175 nforce driver. That never completes... it gets to the end and says working 99% forever. Cannot get to a terminal there... ctrl alt del interrupts the hang, and it seems to continue installing things... to a point. On reboot tty2 just displays

filename  : /tftpboot/pxelinux.0

If you switch to tty8

Code: [Select]
Log: PCI_ID Detected: 0244
No packages found matching nvidia-glx*.
LinuxMCE prefers driver nvidia-glx-195
Log: LinuxMCE prefers driver nvidia-glx-195
Installing new driver nvidia-glx-195!
Log: installing NEW driver nvidia-glx-195!
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following extra packages will be installed:
 dkms fakeroot nvidia-195-kernel-source nvidia-195-libvdpau nvidia-settings
 patch
Suggested packages:
 diff-doc ed
The following NEW packages will be installed:
 dkms fakeroot nvidia-195-kernel-source nvidia-195-libvdpau nvidia-glx-195
 nvidia-settings patch
0 upgrade, 7 newly installed, 0 to be removed, 0 not upgraded.
Need to get 0B/27.9MB of archives.
After this operation, 81.3MB of additional disk space will be used.
WARNING: The following packages cannot be authenticated!
 patch dkms fakeroot nvidia-195-kernel-source nvidia-libvdpau
 nvidia-glx-195 nvidia-settings patch
Authentication warning overridden.
0% Working

and hang. I cannot find this laptop to have ever been used as an md... and it may not be able to. Just thought I would share. I have ssh'd from the core and installed the 195 driver directly, but on reboot does this same dance. Not really asking for assistance... just didn't know if it was helpful.

(this is an amd64. I changed this to i386 before first reboot of MD after it announced to router, and rebuilt image, and rebooted core)

On the 3.3GB snapshot, I just remembered, I was able to get through AVWiz... then got busy and reinstalled before fooling with it anymore.
« Last Edit: June 19, 2010, 08:04:50 pm by l3mce »
I never quit... I just ping out.